# Class GeoSurface

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.AtomShape
org.jmol.shapespecial.Dots
org.jmol.shapespecial.GeoSurface

public class GeoSurface extends Dots

## Field Summary

### Fields inherited from class Dots

`ec, isSurface, MAX_LEVEL`

### Fields inherited from class AtomShape

`bsSizeDefault, colixes, isActive, isSet, mad, mads, monomerCount, paletteIDs`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`GeoSurface()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initShape()`

### Methods inherited from class Dots

`getShapeState, getSize, setAtomClickability, setProperty, setSizeRD`

### Methods inherited from class AtomShape

`checkColixLength, initModelSet, setColixAndPalette, setPropAS, setSize, setSize2, setSizeRD2`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setModelVisibilityFlags, setProperties, setPropS, setShapeSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GeoSurface

public GeoSurface()

## Method Details

### initShape

public void initShape()

Overrides:
  `initShape` in class `Dots`